import request from '@/utils/request'

// 返利钱包列表
export function getRebateList(params) {
  return request({
    url: '/wallet/rebate/list',
    method: 'get',
    params
  })
}
// 钱包列表(非返利钱包)
export function getWalletList(params) {
  return request({
    url: '/wallet/list',
    method: 'get',
    params
  })
}
// 经销商一键生成钱包
export function getfinanceInit(params) {
  return request({
    url: '/finance/init',
    method: 'post',
    params
  })
}
// 设置特定的经销商返利钱包的返利额度
export function getWalletRebateRateUpdate(params) {
  return request({
    url: '/wallet/rebate_rate/update',
    method: 'post',
    params
  })
}
// 经销商列表
export function getCustomerList(params) {
  return request({
    url: '/customer/list',
    method: 'get',
    params
  })
}
